Creategiftcardconsent
curl --request POST \
--url https://api.loyalty.dog/v2/giftcards/gdpr/consent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"purposes": [],
"ipAddress": "<string>",
"customerEmail": "<string>",
"customerPhone": "<string>"
}
'import requests
url = "https://api.loyalty.dog/v2/giftcards/gdpr/consent"
payload = {
"purposes": [],
"ipAddress": "<string>",
"customerEmail": "<string>",
"customerPhone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
purposes: [],
ipAddress: '<string>',
customerEmail: '<string>',
customerPhone: '<string>'
})
};
fetch('https://api.loyalty.dog/v2/giftcards/gdpr/consent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customerId": "<string>",
"purposes": [
"<string>"
],
"consentedAt": "2023-11-07T05:31:56Z",
"ipAddress": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Gift Cards
Creategiftcardconsent
Create or update GDPR consent for a customer identified by email or phone.
Use this endpoint when saving consent without a known customerId. Requires customerEmail or customerPhone in the request body.
POST
/
v2
/
giftcards
/
gdpr
/
consent
Creategiftcardconsent
Authorizations
JWT access token obtained from POST /v2/token.
Query Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Body
application/json
⌘I
